﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	public class Store
	{
		private IDomainContext context;

		public Store(IDomainContext context)
		{
			this.context = context;
		}

		public void Purchase(int product, int user)
		{
			var existing = this.context.Products.FirstOrDefault(x => x.Id == product);
			if (existing == null)
				throw new ArgumentException("product");

			// Check user balanc etc.
			// Increment sales or whatever.
			existing.Sales++;

			this.context.SaveChanges();
		}
	}
}
