﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	public interface IDomainContext : IDisposable
	{
		void SaveChanges();

		void Save<T>(T entity) where T : class, IEntity;

		void Delete<T>(long id) where T : class, IEntity;

		IQueryable<Product> Products { get; }
	}
}
